.new-task-container {
  display: flex;
  flex-flow: column nowrap;

  color: #666;

  width: 90vw;
  max-width: 500px;
  padding: 0.5rem;
  
}

.new-task-buttons-container {
  box-sizing: border-box;
  display: flex;
  flex-flow: row-reverse nowrap;
  width: 100%;
  margin: 0.5rem 0;
}

.new-task-header {
  display: flex;
  justify-content: space-between;
  width: 100%;
  font-size: 1.4rem;
  color: #707070;
  margin-bottom: 0.3rem;
}

.new-task-textarea {
  box-sizing: border-box;
  font-family: $default-font;
  font-size: 0.9rem;
  word-wrap: break-word;
  white-space: pre-line;
  text-indent: 0.5rem;
  line-height: 1.5;

  width: 92%;

  resize: none;
  margin: 1rem auto;
  outline: none;
  border: none;
  overflow-y: hidden;  
  margin: 0;
}

.new-task-title {
  font-size: 1.2rem;
  font-weight: 600;
}

.new-task-description-container {
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center; 
  margin-top: 0.75rem;
}

.new-task-icons {
  align-self: flex-start; 
  vertical-align: middle;
  margin-top: 0.3rem;
  color: #707070;
}

.new-task-date {
  box-sizing: border-box;
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;

  height: 1.9rem;
  align-self: flex-start;
  white-space: nowrap;
  padding: 0 0.4rem;
  margin-top: 0.75rem;

  cursor: pointer;
}

.new-task-date-container {
  display: flex;
  margin-left: 0.5rem;
  font-family: $default-font;
  font-size: 0.9rem;
  text-align: center;
}

.new-task-date-valid {
  padding: 0.2rem;
  background-color: $background-gray;
  border-radius: 2px;
  box-shadow: 0px 0px 1px 0px black;
}

.new-task-date-close-icon {
  margin-top: auto;
  margin-bottom: auto;
  margin-left: 0.3rem;
  font-size: 1.1rem;
}

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 2px solid #ccc;
  margin: .5em 0;
  padding: 0; 
}
